#pragma once

#include "Proxies.hpp"
#include "Process.hpp"

namespace Proxies {

	class CopyProcess:
		public Process
	{
	public:
		CopyProcess()
			{}
		CopyProcess(
			Stuff::NotationFile *data_file, 
			bool bSuppress = true,
			void* fcn = NULL
		):
			Process(data_file,bSuppress,fcn)
				{}

		virtual void
			CopyCallback(GenericProxy* proxy)
				{}
	};

}
